Metaobject Connection
An auto-generated type for paginating through multiple Metaobjects.
Anchor to Fields with this connectionFields with this connection
- •OBJECT
Defines the structure and configuration for a custom data type in Shopify. Each definition specifies the fields, validation rules, and capabilities that apply to all
Metaobjectentries created from it.The definition includes field definitions that determine what data to store, access controls for the Shopify admin and Storefront APIs, and capabilities such as publishability and translatability. You can track which
Apporcreated the definition and optionally base it on a.
Anchor to Queries with this connectionQueries with this connection
- •query
Returns a paginated list of
Metaobjectentries for a specific type. Metaobjects are custom data structures that extend Shopify's data model with merchant or app-specific data types.Filter results using the query parameter with a search syntax for metaobject fields. Use
fields.{key}:{value}to filter by field values, supporting any field previously marked as filterable. Theparameter acceptsid,type,, orto control result ordering.Learn more about querying metaobjects by field value.
- Anchor to typetype•String!required
The type of the metaobjects to query.
- Anchor to sortKeysort•String
Key The key of a field to sort with. Supports "id", "type", "updated_at", and "display_name".
- Anchor to firstfirst•Int
The first
nelements from the paginated list.- Anchor to afterafter•String
The elements that come after the specified cursor.
- Anchor to lastlast•Int
The last
nelements from the paginated list.- Anchor to beforebefore•String
The elements that come before the specified cursor.
- Anchor to reversereverse•BooleanDefault:false
Reverse the order of the underlying list.
- Anchor to queryquery•String
A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.
- Anchor to display_name•string
- Anchor to fields.{key}•mixed
Filters metaobject entries by field value. Format:
fields.{key}:{value}. Only fields marked as filterable in the metaobject definition can be used. Learn more about querying metaobjects by field value.fields.color:bluefields.on_sale:true- Anchor to handle•string
- Anchor to updated_at•time
Example:
Arguments
Anchor to Possible returnsPossible returns
- Anchor to edgesedges•[Metaobject
Edge!]! non-null The connection between the node and its parent. Each edge contains a minimum of the edge's cursor and the node.
- Anchor to nodesnodes•[Metaobject!]!non-null
A list of nodes that are contained in MetaobjectEdge. You can fetch data about an individual node, or you can follow the edges to fetch data about a collection of related nodes. At each node, you specify the fields that you want to retrieve.
- Anchor to pageInfopage•Page
Info Info! non-null An object that’s used to retrieve cursor information about the current page.